ce_ospf_vrf – Manages configuration of an OSPF VPN instance on HUAWEI CloudEngine switches — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_ospf_vrf – Manages configuration of an OSPF VPN instance on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages configuration of an OSPF VPN instance on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bandwidth - |  | Specifies the reference bandwidth used to assign ospf cost. Valid values are an integer, in Mbps, 1 - 2147483648, the default value is 100.
description - |  | Specifies the description information of ospf process.
lsaaholdinterval - |  | Specifies the hold interval of arrive LSA when use the intelligent timer. Valid value is an integer, in millisecond, from 0 to 10000, the default value is 500.
lsaainterval - |  | Specifies the interval of arrive LSA when use the general timer. Valid value is an integer, in millisecond, from 0 to 10000.
lsaalflag boolean | Choices: no ← yes | Specifies the mode of timer to calculate interval of arrive LSA. If set the parameter but not specifies value, the default will be used. If true use general timer. If false use intelligent timer.
lsaamaxinterval - |  | Specifies the max interval of arrive LSA when use the intelligent timer. Valid value is an integer, in millisecond, from 0 to 10000, the default value is 1000.
lsaastartinterval - |  | Specifies the start interval of arrive LSA when use the intelligent timer. Valid value is an integer, in millisecond, from 0 to 10000, the default value is 500.
lsaoholdinterval - |  | Specifies the hold interval of originate LSA . Valid value is an integer, in millisecond, from 0 to 5000, the default value is 1000.
lsaointerval - |  | Specifies the interval of originate LSA . Valid value is an integer, in second, from 0 to 10, the default value is 5.
lsaointervalflag boolean | Choices: no ← yes | Specifies whether cancel the interval of LSA originate or not. If set the parameter but noe specifies value, the default will be used. true:cancel the interval of LSA originate, the interval is 0. false:do not cancel the interval of LSA originate.
lsaomaxinterval - |  | Specifies the max interval of originate LSA . Valid value is an integer, in millisecond, from 1 to 10000, the default value is 5000.
lsaostartinterval - |  | Specifies the start interval of originate LSA . Valid value is an integer, in millisecond, from 0 to 1000, the default value is 500.
ospf - / required |  | The ID of the ospf process. Valid values are an integer, 1 - 4294967295, the default value is 1.
route_id - |  | Specifies the ospf private route id,. Valid values are a string, formatted as an IP address (i.e. "10.1.1.1") the length is 0 - 20.
spfholdinterval - |  | Specifies the hold interval to calculate SPF when use intelligent timer. Valid value is an integer, in millisecond, from 1 to 5000, the default value is 200.
spfinterval - |  | Specifies the interval to calculate SPF when use second level timer. Valid value is an integer, in second, from 1 to 10.
spfintervalmi - |  | Specifies the interval to calculate SPF when use millisecond level timer. Valid value is an integer, in millisecond, from 1 to 10000.
spfintervaltype - | Choices: intelligent-timer ← timer millisecond | Specifies the mode of timer which used to calculate SPF. If set the parameter but noe specifies value, the default will be used. If is intelligent-timer, then use intelligent timer. If is timer, then use second level timer. If is millisecond, then use millisecond level timer.
spfmaxinterval - |  | Specifies the max interval to calculate SPF when use intelligent timer. Valid value is an integer, in millisecond, from 1 to 20000, the default value is 5000.
spfstartinterval - |  | Specifies the start interval to calculate SPF when use intelligent timer. Valid value is an integer, in millisecond, from 1 to 1000, the default value is 50.
state - | Choices: present ← absent | Specify desired state of the resource.
vrf - | Default: "_public_" | Specifies the vpn instance which use ospf,length is 1 - 31. Valid values are a string.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Recommended connection is `netconf`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: ospf vrf module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Configure ospf route id
        ce_ospf_vrf:
          ospf: 2
          route_id: 2.2.2.2
          lsaointervalflag: False
          lsaointerval: 2
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device
end_state dictionary | verbose mode | k/v pairs of configuration after module execution Sample: {'bandwidthReference': '100', 'description': None, 'lsaArrivalFlag': 'false', 'lsaArrivalHoldInterval': '500', 'lsaArrivalInterval': None, 'lsaArrivalMaxInterval': '1000', 'lsaArrivalStartInterval': '500', 'lsaOriginateHoldInterval': '1000', 'lsaOriginateInterval': '2', 'lsaOriginateIntervalFlag': 'false', 'lsaOriginateMaxInterval': '5000', 'lsaOriginateStartInterval': '500', 'processId': '2', 'routerId': '2.2.2.2', 'spfScheduleHoldInterval': '1000', 'spfScheduleInterval': None, 'spfScheduleIntervalMillisecond': None, 'spfScheduleIntervalType': 'intelligent-timer', 'spfScheduleMaxInterval': '10000', 'spfScheduleStartInterval': '500', 'vrfName': '_public_'}
existing dictionary | verbose mode | k/v pairs of existing configuration Sample: {'bandwidthReference': '100', 'description': None, 'lsaArrivalFlag': 'false', 'lsaArrivalHoldInterval': '500', 'lsaArrivalInterval': None, 'lsaArrivalMaxInterval': '1000', 'lsaArrivalStartInterval': '500', 'lsaOriginateHoldInterval': '1000', 'lsaOriginateInterval': '2', 'lsaOriginateIntervalFlag': 'false', 'lsaOriginateMaxInterval': '5000', 'lsaOriginateStartInterval': '500', 'processId': '2', 'routerId': '2.2.2.2', 'spfScheduleHoldInterval': '1000', 'spfScheduleInterval': None, 'spfScheduleIntervalMillisecond': None, 'spfScheduleIntervalType': 'intelligent-timer', 'spfScheduleMaxInterval': '10000', 'spfScheduleStartInterval': '500', 'vrfName': '_public_'}
proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'bandwidth': '100', 'description': None, 'lsaaholdinterval': '500', 'lsaainterval': None, 'lsaamaxinterval': '1000', 'lsaastartinterval': '500', 'lsaalflag': 'False', 'lsaoholdinterval': '1000', 'lsaointerval': '2', 'lsaointervalflag': 'False', 'lsaomaxinterval': '5000', 'lsaostartinterval': '500', 'process_id': '2', 'route_id': '2.2.2.2', 'spfholdinterval': '1000', 'spfinterval': None, 'spfintervalmi': None, 'spfintervaltype': 'intelligent-timer', 'spfmaxinterval': '10000', 'spfstartinterval': '500', 'vrf': '_public_'}
updates list | always | commands sent to the device Sample: ['ospf 2']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Yang yang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.